#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		rname		gtksourceview
%define		majorver	%(echo %{version} | cut -d '.' -f1)
#-----------------------------------------------------------------------------
Name		:	gtksourceview4
Version		:	4.8.1
Release		:	17.2.0.rel%{?dist}
Summary		:	text widget that extends the standard GTK+ text widget.
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	http://ftp.gnome.org/pub/gnome/sources/gtksourceview

Source0		:	%{rname}-%{version}.tar.xz
Patch0		:	%{rname}-%{version}-buildfix-1.patch

#-----------------------------------------------------------------------------
BuildRequires	:	at-spi2-core-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk3+
BuildRequires	:	vala
#-----------------------------------------------------------------------------
%description
GtkSourceView is a GNOME library that extends GtkTextView, the standard
GTK+ widget for multiline text editing. GtkSourceView adds support for
syntax highlighting, undo/redo, file loading and saving, search and
replace, a completion system, printing, displaying line numbers, and other
features typical of a source code editor. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%{_libdir}/lib%{rname}-%{majorver}.so.0*
%{_libdir}/girepository-1.0/GtkSource-4.typelib
%{_datadir}/%{rname}-%{majorver}/language-specs/*.lang
%{_datadir}/%{rname}-%{majorver}/language-specs/language*
%{_datadir}/%{rname}-%{majorver}/styles/*.xml
%{_datadir}/%{rname}-%{majorver}/styles/styles.rng
%{_datadir}/locale/*/LC_MESSAGES/%{rname}-%{majorver}.mo

#=============================================================================
%package		devel
Summary		:	Development files for %{name}
	
#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}
#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{rname}-%{majorver}/%{rname}/*.h
%{_includedir}/%{rname}-%{majorver}/%{rname}/completion-providers/words/*.h
%{_libdir}/lib%{rname}-%{majorver}.so
%{_libdir}/pkgconfig/%{rname}-%{majorver}.pc
%{_datadir}/gir-1.0/GtkSource-4.gir
%{_datadir}/vala/vapi/%{rname}-4.{deps,vapi}
	
#=============================================================================
%prep
%setup -q -n %{rname}-%{version}
%patch  -P 0 -p1

#-----------------------------------------------------------------------------
#building application
%build

meson							\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--libdir=%{_libdir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja							\
	-C build					\
	%{?_smp_mflags}					\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}                                    \
        ninja                                           \
        -C build                                        \
        install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
